psychopy.org | Reference | Downloads | Github

VGA Splitter potentially causing error?

OS (e.g. Win10): Win 7
PsychoPy version (e.g. 1.84.x): 3
Standard Standalone? (y/n) If not then what?: y

My experiment involves presenting cross hairs, a single word (read from an excel file), and getting a subject’s response to a question about the word they just saw (also read from an excel file). This experiment was created in builder. It was working great until I attempted to use a VGA splitter to give myself two monitors: one to present the visual stimuli to the subject, and one for me to see and control.

Originally I was using two different monitors. I switched one monitor so that now they are the same make and model monitor. I then tried updating the drivers, updating the computer, restarting, etc.

I receive the following error message. Any ideas on what I should try next? Thanks in advance!

Traceback (most recent call last):
  File "C:\Program Files\PsychoPy3\lib\site-packages\psychopy\visual\backends\pygletbackend.py", line 131, in __init__
    style=style)
  File "C:\Program Files\PsychoPy3\lib\site-packages\pyglet\window\win32\__init__.py", line 134, in __init__
    super(Win32Window, self).__init__(*args, **kwargs)
  File "C:\Program Files\PsychoPy3\lib\site-packages\pyglet\window\__init__.py", line 571, in __init__
    self._create()
  File "C:\Program Files\PsychoPy3\lib\site-packages\pyglet\window\win32\__init__.py", line 266, in _create
    self.context.attach(self.canvas)
  File "C:\Program Files\PsychoPy3\lib\site-packages\pyglet\gl\win32.py", line 212, in attach
    raise gl.ContextException('Unable to share contexts')
pyglet.gl.ContextException: Unable to share contexts

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\Mark\Desktop\Davidson TMS Experiment\TMS_Experiment.py", line 59, in <module>
    blendMode='avg', useFBO=True)
  File "C:\Program Files\PsychoPy3\lib\site-packages\psychopy\visual\window.py", line 375, in __init__
    self.backend = backends.getBackend(win=self, *args, **kwargs)
  File "C:\Program Files\PsychoPy3\lib\site-packages\psychopy\visual\backends\__init__.py", line 32, in getBackend
    return Backend(win, *args, **kwargs)
  File "C:\Program Files\PsychoPy3\lib\site-packages\psychopy\visual\backends\pygletbackend.py", line 138, in __init__
    fullscreen=self._isFullScr,
AttributeError: 'PygletBackend' object has no attribute '_isFullScr'
Exception ignored in: <bound method Window.__del__ of <psychopy.visual.window.Window object at 0x080FFDD0>>
Traceback (most recent call last):
  File "C:\Program Files\PsychoPy3\lib\site-packages\psychopy\visual\window.py", line 478, in __del__
    self.close()
  File "C:\Program Files\PsychoPy3\lib\site-packages\psychopy\visual\window.py", line 1111, in close
    self.backend.close()  # moved here, dereferencing the window prevents
AttributeError: 'NoneType' object has no attribute 'close'